@import "defaults.css";

body {
    padding: 2em;
}

#calendar {
    width: 100%;
    max-width: 1600px;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1em;
}

section h2 {
    margin: 0 0 0.5em;
    color: #fff;
    text-align: center;
}

.sticky-header {
    background-color: var(--background);
}

.month,
.weekdays {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
}

.month > .day {
    min-height: 40px;
    padding: 1em;
    border: 1px solid #444;
    background-color: #fff;
    text-align: center;
}

.weekdays > div {
    padding: 0.5em;
    border: 1px solid #444;
    background-color: #7CB4C4;
    font-weight: 700;
    color: #fff;
    text-align: center;
}